CppUnit project page | FAQ | CppUnit home page

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BriefTestProgressListener Class Reference
[Tracking test execution]

TestListener that prints the name of each test before running it. More...

`#include <BriefTestProgressListener.h>`

Inheritance diagram for BriefTestProgressListener:

[legend]
Collaboration diagram for BriefTestProgressListener:

[legend]
List of all members.

## Public Member Functions
| BriefTestProgressListener ()
virtual | ~BriefTestProgressListener ()
| Destructor.
void | startTest (Test *test)
| Called when just before a TestCase is run.
void | addFailure (const TestFailure &failure)
| Called when a failure occurs while running a test.
void | endTest (Test *test)
| Called just after a TestCase was run (even if a failure occured).
## Private Member Functions
| BriefTestProgressListener (const BriefTestProgressListener &copy)
| Prevents the use of the copy constructor.
void | operator= (const BriefTestProgressListener &copy)
| Prevents the use of the copy operator.
## Private Attributes
bool | m_lastTestFailed

## Detailed Description

TestListener that prints the name of each test before running it.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN BriefTestProgressListener::BriefTestProgressListener | ( |  | ) |

Constructs a BriefTestProgressListener object.

BriefTestProgressListener::~BriefTestProgressListener | ( |  | ) | `[virtual]`

Destructor.

BriefTestProgressListener::BriefTestProgressListener | ( | const BriefTestProgressListener & | copy | ) | `[private]`

Prevents the use of the copy constructor.

## Member Function Documentation

void BriefTestProgressListener::startTest | ( | Test * |  | ) | `[virtual]`

Called when just before a TestCase is run.

Reimplemented from TestListener.

void BriefTestProgressListener::addFailure | ( | const TestFailure & |  | ) | `[virtual]`

Called when a failure occurs while running a test.

See also:
  TestFailure.

Warning:
  failure is a temporary object that is destroyed after the method call. Use TestFailure::clone() to create a duplicate.

Reimplemented from TestListener.

void BriefTestProgressListener::endTest | ( | Test * |  | ) | `[virtual]`

Called just after a TestCase was run (even if a failure occured).

Reimplemented from TestListener.

void BriefTestProgressListener::operator= | ( | const BriefTestProgressListener & | copy | ) | `[private]`

Prevents the use of the copy operator.

## Member Data Documentation

bool BriefTestProgressListener::m_lastTestFailed`[private]`

The documentation for this class was generated from the following files:

- BriefTestProgressListener.h
- BriefTestProgressListener.cpp

| hosts this site. |  | Send comments to: CppUnit Developers